#
# spec file for package firefox3-pango (Version 1.14.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           firefox3-pango
BuildRequires:  firefox3-cairo-devel firefox3-glib2-devel gtkdoc perl-XML-Parser sgml-skel
%define prefix /usr/%_lib/firefox
%define sysconfdir %{prefix}/etc
License:        LGPL v2.1 or later
Group:          System/Libraries
AutoReqProv:    off
Version:        1.14.5
Release:        0.10.1
Summary:        System for Layout and Rendering of Internationalised Text
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/pango/1.10/pango-%{version}.tar.bz2
Source2:        README.SuSE
Patch:          pango64.patch
Patch2:         bugzilla-53228-artificial-bold-and-italic.patch
# PATCH-FIX-UPSTREAM pango-bnc534701-CVE-2009-1194.patch bnc534701 vuntz@novell.com -- Based on patch from upstream, handle overflow with long glyphstrings
Patch3:         pango-bnc534701-CVE-2009-1194.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem firefox3-glib2 xorg-x11-libs freetype2
Requires:       firefox3-cairo >= 1.2.2

%description
Pango is a library for layout and rendering of text, with an emphasis
on internationalisation. It forms the core of text and font handling in
GTK+ 2.0.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%package devel
License:        LGPL v2.1 or later
Requires:       %{name} = %version firefox3-glib2-devel glibc-devel %(rpm -q --whatprovides XFree86-devel --queryformat '%{NAME}')
Summary:        Include files and libraries mandatory for development
Group:          Development/Libraries/GNOME
AutoReqProv:    off
Requires:       firefox3-cairo-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%package doc
License:        LGPL v2.1 or later
Requires:       %{name} = %version
Summary:        System for Layout and Rendering of Internationalised Text
Group:          System/Libraries
AutoReqProv:    off

%description doc
Pango is a library for layout and rendering of text, with an emphasis
on internationalisation. It forms the core of text and font handling in
GTK+ 2.0.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%prep
%setup -q -n pango-%{version}
%if "%_lib" == "lib64"
cp -a %{S:2} .
%patch
%endif
%patch2 -p1
%patch3 -p1

%build
export LD_LIBRARY_PATH=%{prefix}/%_lib:$LD_LIBRARY_PATH
export PKG_CONFIG_PATH=%{prefix}/%_lib/pkgconfig:$PKG_CONFIG_PATH
export PATH=%{prefix}/bin:$PATH
%{?suse_update_config:%{suse_update_config -f}}
aclocal -I %{prefix}/share/aclocal
libtoolize --force
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib	\
	    --mandir=%{prefix}/share/man \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --sysconfdir=%{sysconfdir} \
            --disable-gtk-doc
make %{?jobs:-j %jobs}

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%{_lib}:$RPM_BUILD_ROOT/opt/gnome/%{_lib}/pango/modules
make install DESTDIR=$RPM_BUILD_ROOT
touch $RPM_BUILD_ROOT%{sysconfdir}/pango/pango.modules
%if "%_lib" == "lib64"
mv $RPM_BUILD_ROOT%{prefix}/bin/pango-querymodules\
 $RPM_BUILD_ROOT%{prefix}/bin/pango-querymodules-64
mv $RPM_BUILD_ROOT%{sysconfdir}/pango/pango.modules\
 $RPM_BUILD_ROOT%{sysconfdir}/pango/pango64.modules
%endif
# .la files for modules are not needed
rm $RPM_BUILD_ROOT%{prefix}/%_lib/pango/*/modules/*.la
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
if [ -x %{prefix}/bin/pango-querymodules ] ; then
	%{prefix}/bin/pango-querymodules \
	> %{sysconfdir}/pango/pango.modules
fi
if [ -x %{prefix}/bin/pango-querymodules-64 ] ; then
	%{prefix}/bin/pango-querymodules-64 \
	> %{sysconfdir}/pango/pango64.modules
fi

%postun
%run_ldconfig
if [ -x %{prefix}/bin/pango-querymodules ] ; then
	%{prefix}/bin/pango-querymodules \
	> %{sysconfdir}/pango/pango.modules
fi
if [ -x %{prefix}/bin/pango-querymodules-64 ] ; then
	%{prefix}/bin/pango-querymodules-64 \
	> %{sysconfdir}/pango/pango64.modules
fi

%files
%defattr(-,root,root)
%if "%_lib" == "lib64"
%doc README AUTHORS COPYING ChangeLog README.SuSE
%else
%doc README AUTHORS COPYING ChangeLog
%endif
%doc examples/HELLO.utf8
%dir %{prefix}/%_lib/pango
%dir %{prefix}/%_lib/pango/1.5.0
%dir %{prefix}/%_lib/pango/1.5.0/modules
%{prefix}/%_lib/pango/1.5.0/modules/*.so
%{prefix}/%_lib/lib*.so.*
%{prefix}/bin/pango-*
%doc %{prefix}/share/man/man?/*.*
%dir %{sysconfdir}/pango
%{sysconfdir}/pango/pangox.aliases
%if "%_lib" == "lib64"
%ghost %{sysconfdir}/pango/pango64.modules
%else
%ghost %{sysconfdir}/pango/pango.modules
%endif
%dir %{prefix}/share
%dir %{sysconfdir}

%files devel
%defattr(-, root, root)
%if %suse_version > 810
#%{prefix}/bin/ottest
%endif
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
#%{prefix}/%_lib/pango/1.5.0/modules/*.la
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/pango-1.0

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/pango
%dir %{prefix}/share
%dir %{prefix}/share/gtk-doc
%dir %{prefix}/share/gtk-doc/html

%changelog
* Fri Mar 12 2010 mxwu@novell.com
- Add pango-bnc534701-CVE-2009-1194.patch to handle overflow with
  very long glyphstrings. Fix bnc#534701, CVE-2009-1194.
* Tue Jun 23 2009 lrupp@suse.de
- disable autoreqprov in baselibs.conf
* Tue Jun 23 2009 lrupp@suse.de
- remove unneeded conditions in post/postun
- add prereq, post, postun in baselibs.conf
* Mon Jun 22 2009 kukuk@suse.de
- Fix syntax error
* Mon Jun 22 2009 kukuk@suse.de
- Add baselibs.conf
* Wed Jun  3 2009 pwu@suse.de
- Imported pango 1.14.5 from openSUSE 10.2,
  and rename it to firefox3-pango to back port Firefox 3.0 for SLE10.
